## kodi-audiodecoder-sidplay-dmo 19.0.1

=== depends/common/sidplay2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sidplay2)

include(ExternalProject)
externalproject_add(sidplay2
                    SOURCE_DIR ${CMAKE_SOURCE_DIR}
                    UPDATE_COMMAND autoreconf -vif &&
                                   autoreconf -vif libsidplay &&
                                   autoreconf -vif resid &&
                                   autoreconf -vif builders/resid-builder &&
                                   autoreconf -vif builders/hardsid-builder &&
                                   autoreconf -vif libsidutils
                    CONFIGURE_COMMAND CXXFLAGS=-DHAVE_UNIX <SOURCE_DIR>/configure 
                      --prefix=${OUTPUT_DIR}
                      --disable-shared
                      --enable-static
                    INSTALL_COMMAND ""
                    BUILD_IN_SOURCE 1)

install(CODE "execute_process(COMMAND make install WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})")

=== depends/windows/sidplay2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(sidplay)

add_subdirectory(builders/resid-builder)
add_subdirectory(resid)
add_subdirectory(libsidplay)
add_subdirectory(libsidutils)

=== debian/changelog ===
kodi-audiodecoder-sidplay-dmo (1:19.0.1-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Nov 2021 08:50:53 +0100

kodi-audiodecoder-sidplay-dmo (1:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 08:18:51 +0200

kodi-audiodecoder-sidplay-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 24 Jan 2021 16:34:34 +0100

kodi-audiodecoder-sidplay-dmo (1.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Feb 2020 09:09:56 +0100

kodi-audiodecoder-sidplay-dmo (1.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Oct 2019 19:35:50 +0100

kodi-audiodecoder-sidplay-dmo (1.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 22 Sep 2019 08:36:47 +0200

kodi-audiodecoder-sidplay-dmo (1.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Jan 2019 17:33:21 +0100

kodi-audiodecoder-sidplay-dmo (1.1.0-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Sep 2017 09:50:02 +0200

=== debian/control ===
Source: kodi-audiodecoder-sidplay-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/notspiff/audiodecoder.sidplay
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, libsidplay2-dev, libsidutils-dev,
 dh-sequence-kodiaddon (>= 5:18.0~),  pkg-config, libresid-builder-dev, ninja-build

Package: kodi-audiodecoder-sidplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:AUDIODECODERAPI}
Description: SidPlay audio decoder for Kodi.
 SidPlay audio decoder for Kodi.

=== debian/watch ===
version=4

https://github.com/notspiff/audiodecoder.sidplay/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-audiodecoder-sidplay-dmo 20.2.0

=== debian/changelog ===
kodi-audiodecoder-sidplay-dmo (1:20.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 13:56:51 +0100

kodi-audiodecoder-sidplay-dmo (1:19.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Nov 2021 08:28:58 +0100

kodi-audiodecoder-sidplay-dmo (1:19.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Sep 2021 00:23:33 +0200

=== debian/control ===
Source: kodi-audiodecoder-sidplay-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/notspiff/audiodecoder.sidplay
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), cmake, libsidplay2-dev, libsidutils-dev,
 dh-sequence-kodiaddon (>= 5:20.0~),  pkgconf, libresid-builder-dev, ninja-build

Package: kodi-audiodecoder-sidplay
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:AUDIODECODERAPI}
Description: SidPlay audio decoder for Kodi.
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media. 
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package allows playing SidPlay audio files in Kodi.

=== debian/watch ===
version=4

https://github.com/notspiff/audiodecoder.sidplay/tags \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-audiodecoder-sidplay-dmo 21.0.2

=== debian/changelog ===
kodi-audiodecoder-sidplay-dmo (1:21.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 09:27:09 +0100

kodi-audiodecoder-sidplay-dmo (1:21.0.0-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 14:45:55 +0100

kodi-audiodecoder-sidplay-dmo (1:21.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 10:59:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/notspiff/audiodecoder.sidplay
-Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13), cmake, libsidplay2-dev, libsidutils-dev,
- dh-sequence-kodiaddon (>= 5:20.0~),  pkgconf, libresid-builder-dev, ninja-build
+ dh-sequence-kodiaddon (>= 5:21~),  pkgconf, libresid-builder-dev, ninja-build
 
 Package: kodi-audiodecoder-sidplay
 Architecture: any

=== debian/watch ===
version=4

#https://github.com/notspiff/audiodecoder.sidplay/tags \
#(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
